Skip to main content
aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2014-09-18Update CDT N&N URL for their new 8.5 release in SR1Markus Knauer1-1/+1
Change-Id: I528201d67207e849bcb3c23545d2863d0bbee335 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-09-11Update build configuration for 4.4.1RC3 (Luna SR1 RC3)Markus Knauer13-14/+14
Change-Id: Ie15502ff52ffbc08a9389c83b75d18155268f73a Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-09-05Bug 441957: Rebranding Standard to Eclipse IDE for Eclipse CommittersGunnar Wagenknecht5-10/+11
Backport from master branch for Luna SR1 but without renaming the ids. Just the labels have been re-branded. Change-Id: Icea9fd28005c8a13a4e119cead4c6b41cf7f9ee8 Task-Url: https://bugs.eclipse.org/bugs/show_bug.cgi?id=441957
2014-09-04Disable org.eclipse.persistence.* features in Reporting PackageMarkus Knauer1-0/+2
Bug 443269 - (temporarily) removing org.eclipse.persistence.* features from Luna SR1 RC2 Reporting Package https://bugs.eclipse.org/bugs/show_bug.cgi?id=443269 Change-Id: I289e89a3122f4043af659811fe9cb1b4ff38ef06 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-09-02Update build configuration for 4.4.1RC2 (Luna SR1 RC2)Markus Knauer53-54/+54
Change-Id: Iddfdc72328d078b1ef0052163987cf79d5f295ff Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-08-21Fix SR1-RC1 file name attribute in epp.website.xml filesMarkus Knauer13-13/+13
2014-08-07Upgrade configuration files for Luna SR1 based on Platform 4.4.1Markus Knauer133-199/+199
Change-Id: I59b2fa88e64ff62b5f3ee8c0a1753c31642533c3 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-27[427655] Update modeling descriptioncbrun1-1/+3
2014-06-22Update the list of package testers in package PHP, Reporting, and ScoutMarkus Knauer3-1/+3
Change-Id: I74a1ec863e56a6c16f051be96a8fb248cc157481 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-22Update N&N URLs for Luna: Jubula in Testing packageMarkus Knauer1-2/+2
* Jubula Change-Id: If3d24a5f1ec693f9bdfd1e0d1e90fb9a9b7c3a28 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-22Update N&N URLs for Luna, especially Eclipse Platform N&NMarkus Knauer11-14/+16
* Eclipse Platform * M2E-WTP * RAP 2.3 * Jubula Change-Id: Id461e7e57c828c3d4130774711538dbe669aae25 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-22Updated package description, testers and new and noteworthy linksStephan Eberle2-4/+9
Change-Id: I0fe2846173bfbf6e6d28feeca3c2e03d91a6952d
2014-06-19Update description N&N for PHP EPPKaloyan Raev1-2/+2
Change-Id: If39bc7c4703bc021c785372f2196f3f6bd7f9191 Signed-off-by: Kaloyan Raev <kaloyan.r@zend.com>
2014-06-12Package preparation for Luna ReleaseLUNA_RMarkus Knauer53-54/+54
Change-Id: I28c5bb74e005a58ee06b30ae422e01449077576e Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-09Bug 429696 - Update PDT logoKaloyan Raev1-1/+1
Change-Id: I6f54b2de29c46034091fc068de5ef600d4e45e3b Signed-off-by: Kaloyan Raev <kaloyan.r@zend.com>
2014-06-08Updates for Luna RC4Markus Knauer53-41/+54
Change-Id: I3be7cc4046d3502a5dd8ed3c226d5aff54316415 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-06-06update package descriptioncbrun1-3/+1
2014-06-06Update N&N urlscbrun1-2/+5
2014-06-05Add missing lttng2.ust featureMarc-Andre Laperle1-0/+4
Change-Id: I84f4156029e9538970979de782fad64310b6e0b9 Signed-off-by: Marc-Andre Laperle <marc-andre.laperle@ericsson.com>
2014-06-04Use CDT 8.4 New&Noteworthy URL to generate packages websiteMarkus Knauer2-2/+2
Update epp.website.xml in C/C++ package and in Parallel package with new N&N URL https://wiki.eclipse.org/CDT/User/NewIn84. Change-Id: I68aecadee228bbe70b70b027aa20943d02ce8d9f Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-30Updates for Luna RC3Markus Knauer40-41/+41
Change-Id: I6fa418d7c96b6ded8e2f4c1f94fdaf85ad871205 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-30Use png icon for Java package on download websiteMarkus Knauer1-1/+1
Bug 436254: "Java IDE" logo needs a transparent background https://bugs.eclipse.org/bugs/show_bug.cgi?id=436254 Change-Id: I0818264f3c21995327a4033e3810f2aa43ccf8a3 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-30Re-enable Marketplace Client in Java PackageMarkus Knauer1-8/+0
Basically this is a revert of commit 0065902f344ba4ee8c3690ccc500086870a095cd which temporarily disabled the inclusion of MPC as a workaround for bug 436002. Bug 436206: Re-enable Marketplace Client in Java Package https://bugs.eclipse.org/bugs/show_bug.cgi?id=436206 Change-Id: Idb12e2890f2e186930b0554e647fea3ec7504ac6 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-30Update N&N URLs of Eclipse Code Recommenders in Java + RCP/RAP packagesMarkus Knauer2-2/+2
Bug 435918: Add "Eclipse Code Recommenders" to "This package includes" https://bugs.eclipse.org/bugs/show_bug.cgi?id=435918 Change-Id: Ic0257837c2c6a08cdfac168f48e69d77f59aa4a4 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-30Add Tomasz as Java Package maintainer to website fileMarkus Knauer1-2/+1
Bug 436109 - update java package maintainer information https://bugs.eclipse.org/bugs/show_bug.cgi?id=436109 Change-Id: I4ecb89d2cdebb07ecc1816b421ce3d3abb833469 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-29Remove EPP Common Feature with Marketplace Client from Java packageMarkus Knauer1-18/+23
Bug 436002 - Eclipse Luna RC1 shows blank window after launch https://bugs.eclipse.org/bugs/show_bug.cgi?id=436002 Change-Id: I7f50fea4350620ec0e0bc8910ee7204d89712770 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-27Add org.eclipse.remote feature to Parallel packageMarkus Knauer3-2/+3
Bug 435677 - Add org.eclipse.remote feature to parallel package https://bugs.eclipse.org/bugs/show_bug.cgi?id=435677 Change-Id: Ieabb17dba7110beec89742d173208d6276723d0c Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-24Updates for Luna RC2Markus Knauer40-41/+41
Change-Id: I3737507f185eef97356b387d60aa4795411e9e0c Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-23Require Java 7 in order to start the standard packageMarkus Knauer3-7/+7
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I5c475547d99254afb3a03b205e171b3af7729c75 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-22Bug 435448 - Add Code Recommenders Snipmatch integration to RCP/RAP packageAndreas Sewe1-0/+1
Signed-off-by: Andreas Sewe <andreas.sewe@codetrails.com>
2014-05-22Force qualifier update in Testing packageMarkus Knauer2-2/+2
Change-Id: Ie0b3d1ab64541765d6497ae13864d49b18b2230c Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-21Bug 432733 - Add Code Recommenders/Mylyn integration to RCP/RAP packageAndreas Sewe1-0/+1
Signed-off-by: Andreas Sewe <andreas.sewe@codetrails.com>
2014-05-20Fix for default keybinding scheme - see http://eclip.se/434769 for further ↵Markus Tiede1-0/+3
information.
2014-05-18Updates for Luna RC1Markus Knauer40-43/+41
Change-Id: Ie0518c39022d859b5b1fc3c96408053d0e41fde9 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-12Force update of qualifier in Automotive packageMarkus Knauer2-2/+2
Change-Id: Iea532a918a056cf211335f916c56a2f13874d7a4 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-10Update RCP/RAP preferences and contentMarkus Knauer5-26/+27
- Do not show the textual description of the perspective bar by default; show icons only. - Remove "includes" org.eclipse.platform from RCP feature; it is now only part of the list of "requires" features. - Add missing org.eclipse.rcp.source feature. - Update package description with m2e. Change-Id: Ibed82573a04bdb1052194fc0a06d77dfeb698111 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-09Require Java 7 in order to start the automotive packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I2594e68ed478aecaedc7a1c666d6f239dccb83a2 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Update epp.website.xml files for Luna M7Markus Knauer13-47/+47
- Update version numbers and package names - Include URLs with latest N&N content (in all cases where I was able to find something meaningful and could figure out the project URL). Change-Id: I9902bda3c4321c18619a88c6298892a027fea398 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Push qualifier update, Change 26182Markus Knauer2-0/+2
2014-05-08Require Java 7 in order to start the php packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I047e5a1c6848b83712355ff403710693f5e8733d Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Push qualifier updateMarkus Knauer27-27/+27
2014-05-08Require Java 7 in order to start the scout packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: Iea7f2a2a998a40b2ed03c7ed9ab7691fe478aa5c Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Require Java 7 in order to start the rcp/rap packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I02da800fdf160bcf6d59737f0ded95be3d22d53f Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Require Java 7 in order to start the testing packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: Id1de1690f54eb12c4b02227ba9e97927bd833a6b Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Require Java 7 in order to start the parallel packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I89beadfd6f99f1ce1077d8382159f268e1f8d5f3 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-08Require Java 7 in order to start the cpp packageMarkus Knauer1-5/+5
Set the property osgi.requiredJavaVersion to 1.7 and require at least a JRE 1.7 to start the package. Otherwise an error is reported to the user. Bug 423734 - Require Java Version 1.7 or higher in all EPP packages https://bugs.eclipse.org/bugs/show_bug.cgi?id=423734 [epp-dev] Requiring Java 7 for specific EPP packages http://dev.eclipse.org/mhonarc/lists/epp-dev/msg02836.html Change-Id: I70bf0b2a7091e3ecd4f5669dc68649a360d84fb9 Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-07Fix reference to lttng2 feature in Parallel product feature.xml.Jeff Johnston1-1/+1
- lttng2 feature has changed to be lttng2.control
2014-05-07Fix optional lttng2 feature in CPP EPPJeff Johnston1-2/+2
- old lttng2 feature no longer exists and is replaced by lttng2.control feature
2014-05-07Update the aboutText in all packages to the latest versionMarkus Knauer13-13/+13
Change-Id: I982d7a9a2898960df3d1ede51b364d9af5da654b Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
2014-05-07Update images/icons to latest from Platform 4.4.0M7Markus Knauer79-33/+33
Some images and icons have changed upstream. This requires an update of all those branding plug-ins that use the same images as the Platform. Exceptions are Java and the Java EE packages. - Update eclipse16.png - Update intro-eclipse.png (used to show the old Eclipse logo) - Update and use png instead of gif for about image: eclipse_lg.png This required changes in plugin.xml, build.properties, epp.product Change-Id: I3e2971b559311798404010550809d8325d12e63a Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>

Back to the top